using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace OpenArchival.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class ThumbnailsAdded : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "LargeThumbnailPath",
                table: "ArtifactFilePaths",
                type: "text",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "SmallThumbnailPath",
                table: "ArtifactFilePaths",
                type: "text",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "LargeThumbnailPath",
                table: "ArtifactFilePaths");

            migrationBuilder.DropColumn(
                name: "SmallThumbnailPath",
                table: "ArtifactFilePaths");
        }
    }
}
